- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Xapian::MSetIterator Class Reference

Iterator over a Xapian::MSet. More...

## Public Member Functions
| MSetIterator ()
| Create an unpositioned MSetIterator.
Xapian::docid | operator* () const
| Get the numeric document id for the current position.
MSetIterator & | operator++ ()
| Advance the iterator to the next position.
MSetIterator | operator++ (int)
| Advance the iterator to the next position (postfix version).
MSetIterator & | operator-- ()
| Move the iterator to the previous position.
MSetIterator | operator-- (int)
| Move the iterator to the previous position (postfix version).
Xapian::Document | get_document () const
| Get the Document object for the current position.
double | get_weight () const
| Get the weight for the current position.
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Iterator over a Xapian::MSet.

## Constructor & Destructor Documentation

Xapian::MSetIterator::MSetIterator | ( |  | ) |
| inline

Create an unpositioned MSetIterator.

## Member Function Documentation

Xapian::Document Xapian::MSetIterator::get_document | ( |  | ) | const

Get the Document object for the current position.

double Xapian::MSetIterator::get_weight | ( |  | ) | const

Get the weight for the current position.

Xapian::docid Xapian::MSetIterator::operator* | ( |  | ) | const

Get the numeric document id for the current position.

The documentation for this class was generated from the following file:

- xapian/mset.h